Bug 1715084 - NoMethodError: undefined method `storage_domain' for nil:NilClass
Summary: NoMethodError: undefined method `storage_domain' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.6.0
Assignee: orabin
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-29 14:30 UTC by Lukáš Hellebrandt
Modified: 2019-10-22 19:47 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.14-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:47:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
production.log (21.68 KB, text/plain)
2019-05-29 14:32 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26919 Normal Closed NoMethodError: undefined method `storage_domain' for nil:NilClass 2020-05-19 17:45:25 UTC

Description Lukáš Hellebrandt 2019-05-29 14:30:43 UTC
Description of problem:
When creating a new host (tested with image-based provisioning), I get "NoMethodError: undefined method `storage_domain' for nil:NilClass" upon submitting the form and the VM is not created. Traceback attached.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 4.

How reproducible:
Always, at least on my configuration

Steps to Reproduce:
1. Hosts -> Create host
2. Fill in the form
3. Submit

Actual results:
NoMethodError: undefined method `storage_domain' for nil:NilClass

Expected results:
No error, host and VM created

Comment 4 Lukáš Hellebrandt 2019-05-29 14:32:43 UTC
Created attachment 1574831 [details]
production.log

Comment 5 orabin 2019-05-30 14:06:26 UTC
Created redmine issue https://projects.theforeman.org/issues/26919 from this bug

Comment 6 Bryan Kearney 2019-05-30 16:02:07 UTC
Upstream bug assigned to orabin@redhat.com

Comment 7 Bryan Kearney 2019-05-30 16:02:08 UTC
Upstream bug assigned to orabin@redhat.com

Comment 8 Bryan Kearney 2019-08-01 16:02:00 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26919 has been resolved.

Comment 10 Lukáš Hellebrandt 2019-08-27 11:50:02 UTC
Verified with Sat 6.6 snap 17.

Used reproducer from OP, tried with both PXE-based and image-based provisioning, both succeeded.

Comment 11 Bryan Kearney 2019-10-22 19:47:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.